<?php

/*
  PHP version 5
  Copyright (c) 2002-2019ECISP.CN、EarcLink.COM
  警告：这不是一个免费的软件，请在许可范围内使用，请尊重知识产权，侵权必究，举报有奖
  作者：黄祥云 E-mail:6326420@qq.com  QQ:6326420 TEL:18665655030 / 13797552220
*/

use application\ESPCMS_Core;
use inc_application\link\MemberLink;
class lib_mlink {
	public static function find_mlink($parameter, $return_key = 'js_login') {
		$par_array = $parameter ? explode(',', $parameter) : array();
		$para = espcms_array_getvalue($par_array);
		$member_app_config = ESPCMS_Core::get_app_config('member', false);
		if (!$member_app_config['isetup'] || !$member_app_config['isopen']) {
			return false;
		}
		if (!$return_key) {
			return false;
		}
		$member_link = MemberLink::get_link();
		$member_link['integral_link'] = MemberLink::get_member_Integral_link();
		$member_link['js_login'] = MemberLink::member_js_link('js_login', $para);
		return $member_link[$return_key];
	}
}
